Skip to main content
GET /api/v1/account/spot_balance/history

Query Parameters

FieldTypeNeedDescriptionExample
”account”stringrequiredUser’s wallet address42trU9A5…
“symbol”stringoptionalFilter by spot asset symbolSOL
”limit”integeroptionalMaximum number of records to return, defaults to system defined limit100
”cursor”stringoptionalCursor for pagination. Default to none1115hVka
/api/v1/account/spot_balance/history?account=42trU9A5...

Response

  • Status 200: Successfully retrieved spot balance history
{
  "success": true,
  "data": [
    {
      "amount": "1.00000000",
      "balance": "5.50000000",
      "symbol": "SOL",
      "event_type": "deposit",
      "created_at": 1716200000000
    }
    ...
  ],
  "next_cursor": "11114Lz77",
  "has_more": true
}
FieldTypeDescription
'amount'decimal stringAmount change to balance after event
'balance'decimal stringBalance after event
'symbol'stringSpot asset symbol
'event_type'stringType of balance event
'created_at'integerTimestamp in milliseconds of when the event occurred
'next_cursor'stringNext cursor for pagination
'has_more'booleanTrue if there exists a 'next_cursor'
  • Status 400: Invalid request parameters
  • Status 500: Internal server error

Code Example (Python)

import requests

response = requests.get(
    "/api/v1/account/spot_balance/history",
    params={"account": "42trU9A5..."},
    headers={"Accept": "*/*"},
)

data = response.json()